Ir al contenido

Publicidad
Publicidad

Foto

¿como instalar los drivers para el wifi desde el terminal?


  • Nuevo tema
  • Por favor identifícate para responder
10 respuestas en este tema

i hate bill gates
#1

Escrito 14 noviembre 2012 - 19:24

He bajado el paquete de drivers desde un pen, en concreto los del wifi de un aspire one al que estoy instalando Ubuntu. ¿ahora que hago?

gracias de antemano.
  • Volver arriba

Xinef
  • Xinef

  • Moderador
  • Meteor

  • vida restante: 100%
  • Registrado: 15 oct 2002
  • Mensajes: 4.301
#2

Escrito 14 noviembre 2012 - 19:35

Buscar un fichero que se llame README o similar en el mismo sitio donde estuviera el archivo.

Si no está, es posible que ese fichero sea un fichero empaquetado (tar) y/o comprimido (tar.gz, por ejemplo). Si es así, tendrás que descomprimirlo y/o desempaquetarlo.

Otra opción es que sea un fichero de script autoejecutable. En ese caso, la "norma no escrita" dice que, en el nombre del fichero, debería aparecer la palabra: run.

En cualquiera de los casos a tu pregunta le falta un montón de información para que alguien te pueda ayudar. :-)
  • Volver arriba

Jeremy_Hartwood
#3

Escrito 15 noviembre 2012 - 11:14

Si es un paquete deb se puede instalar en la consola con dpkg -i nombrepaquete.deb, aunque siendo Ubuntu donde lo quieres instalar supongo que habrá asistentes gráficos que se abran al simplemente ejecutarlo. Si son los drivers de Windows y los quieres instalar en Ubuntu con Ndiswrapper aquí tienes una guía.

De todos modos también deberías ver antes si tu tarjeta wifi es compatible, busca aquí para ver modelos compatibles o aquí para ver los modelos compatibles con Ndiswrapper.

Pero vamos, como bien comenta Xinef si no explicas mejor la situación será difícil ayudarte. Pon qué te has descargado por ejemplo y el modelo exacto de tu tarjeta o controlador wifi.
  • Volver arriba

JAVOX
  • JAVOX

  • Meteor

  • vida restante: 100%
  • Registrado: 13 sep 2003
  • Mensajes: 8.334
#4

Escrito 20 noviembre 2012 - 16:42

Aprovechando el hilo:

Acabo de pasarme a Ubuntu 12.04 hoy mismo y no me va el Wifi. LLevo horas probando todas las soluciones que proponen en foros a gente con el mismo problema (de hecho a lo mejor he preparado un cacao de cojones, porque ya no se la de líneas de comandos que he copiado a ciegas) y no consigo nada :-( . Me imagino que puede ser un problema de los drivers pero no se como solucionarlo. Os pongo datos varios:

[code:1]javier@Munich:~$ cat /etc/lsb-release; uname -a
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.1 LTS"
Linux Munich 3.2.0-33-generic #52-Ubuntu SMP Thu Oct 18 16:29:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
javier@Munich:~$ lspci -nnk | grep -iA2 net
03:00.0 Network controller [0280]: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
Subsystem: AzureWave AW-NE785 / AW-NE785H 802.11bgn Wireless Full or Half-size Mini PCIe Card [1a3b:1089]
Kernel driver in use: ath9k
--
05:00.5 Ethernet controller [0200]: JMicron Technology Corp. JMC250 PCI Express Gigabit Ethernet Controller [197b:0250] (rev 03)
Subsystem: ASUSTeK Computer Inc. Device [1043:1905]
Kernel driver in use: jme
javier@Munich:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 13d3:5130 IMC Networks
Bus 002 Device 003: ID 046d:c06c Logitech, Inc. Optical Mouse
javier@Munich:~$ iwconfig
lo no wireless extensions.

vboxnet0 no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:off/any
Mode:Managed Access Point: Not-Associated Tx-Power=14 dBm
Retry long limit:7 RTS thr:off Fragment thr:off
Power Management:on

eth0 no wireless extensions.

javier@Munich:~$ rfkill list all
0: phy0: Wireless LAN
Soft blocked: no
Hard blocked: no
[/code]

Básicamente lo que pasa es que me detecta todas las conexiones sin problema pero no conecta. Ni siquiera me deja meter la contraseña de la red porque el botón "Conectar" está como deshabilitado. Además cada 5 minutos me sale el típico cartelito indicando que no puede conectar, pero no me deja cambiar la configuración para que deje de intentar conectarse automáticamente.

¿Alguna idea?

Saludos
  • Volver arriba

Andrei_Kirilenko
#5

Escrito 20 noviembre 2012 - 20:50

Javox, tengo la misma wifi que la tuya en el netbook.

En Ubuntu prueba a instalar el firmware non-free de del kernel de los repositorios de Ubuntu, que me parece que por defecto no se instala. Busca también el firmware de Atheros. Una vez reinstalado eso, reinicia a ver si tienes suerte.

Si te sirve de consuelo, yo tengo en mi netbook OpenSuse 12.2 y me va perfecto, pero claro, no se si la distribución del camaleón te hace mucha gracia. A mi no me la hace, pero es que en el netbook va muy bien, se adapta bien hardware, ofrece un buen rendimiento a pesar de no ser modular como Debian o Arch y KDE va mejor que ningún otro entorno para la resolución con la que trabaja el cacharrito.

Otras distribuciones ni detectaban la wifi, en otras funcionaba cuando quería... Solo Arch y OpenSuse 12.2 ha funcionado sin problemas esa wifi.

OpenSuse es muy bueno para configurar el hardware, ahí es insuperable (por eso es considerada la mejor distribución para portátiles), lo que pasa es que tanto Yast como Zypper a la hora de manejar dependencias se han quedado muy atrás con respecto Yum, APT e incluso URPMI, que evoluciona a trompicones.
  • Volver arriba

JAVOX
  • JAVOX

  • Meteor

  • vida restante: 100%
  • Registrado: 13 sep 2003
  • Mensajes: 8.334
#6

Escrito 21 noviembre 2012 - 01:53

Javox, tengo la misma wifi que la tuya en el netbook.

En Ubuntu prueba a instalar el firmware non-free de del kernel de los repositorios de Ubuntu, que me parece que por defecto no se instala. Busca también el firmware de Atheros. Una vez reinstalado eso, reinicia a ver si tienes suerte.

Si te sirve de consuelo, yo tengo en mi netbook OpenSuse 12.2 y me va perfecto, pero claro, no se si la distribución del camaleón te hace mucha gracia. A mi no me la hace, pero es que en el netbook va muy bien, se adapta bien hardware, ofrece un buen rendimiento a pesar de no ser modular como Debian o Arch y KDE va mejor que ningún otro entorno para la resolución con la que trabaja el cacharrito.

Otras distribuciones ni detectaban la wifi, en otras funcionaba cuando quería... Solo Arch y OpenSuse 12.2 ha funcionado sin problemas esa wifi.

OpenSuse es muy bueno para configurar el hardware, ahí es insuperable (por eso es considerada la mejor distribución para portátiles), lo que pasa es que tanto Yast como Zypper a la hora de manejar dependencias se han quedado muy atrás con respecto Yum, APT e incluso URPMI, que evoluciona a trompicones.


Gracias por responder

Mi ordenador no es un Netbook, es un portátil bastante decente (no tiene ni 2 años) y la verdad es que de momento no tengo intención de cambiar Ubuntu por otra distribución. No soy un usuario avanzado (básicamente nivel usuario y algo de programación, pero no soy informático) y esta es la más sencilla y de la que más información hay en internet. De momento me ha ido bien y si he actualizado a 12.04 es porque me he quedado sin soporte para la 11.04 pero prefiero agotar el tiempo y si es cierto que esta va a durar 5 años me gustaría quedarme con ella.

¿Me puedes indicar como se llaman los paquetes del firmware del kernel? Eestoy tan cansado ya de buscar que quiero asegurarme X-D
  • Volver arriba

Andrei_Kirilenko
#7

Escrito 21 noviembre 2012 - 10:54

Me pillas bien, primero, instala el Synaptic.

El paquete del firmware no libre se llama linux-firmware-nonfree.

El paquete del firmware de Atheros no recuerdo como se llama, busca en Synaptic Atheros y si hay un paquete que te indique que es un firmware, instálalo. En Debian se llama atheros-firmware. Lo siento, pero me pillas en el curso y ahora no tengo ningún Ubuntu instalado.

Instalar, reiniciar y a ver si tienes suerte. Activa también los repositorios de terceros en Ubuntu para localizar esos firmware, a ver si Hartwood en estas horas puedes darte algo más de información, tengo lo de Debian un poco oxidado.

La verdad es que esta moda de quitar el software privativo del kernel queda muy chulo para el Software Libre, pero perjudica de forma estúpida a los usuarios.
  • Volver arriba

Jeremy_Hartwood
#8

Escrito 21 noviembre 2012 - 11:57

No creo que necesites instalar nada, ya te está diciendo que está usando el módulo ath9k, y además con el iwconfig se ve que se le asigna una interfaz. He estando mirando por ubuntu packages y no existe nada parecido a firmware-nonfree ni nada para atheros. Hasta donde sé Ubuntu incluye blobs privativos por lo que un paquete con firmwares privativos quizás sea innecesario, y de todos modos el módulo que se usa es libre y está incluido en el kernel (al menos en Debian) desde la versión 2.6.27.

No sé como funciona el gestor de Ubuntu, prueba a ver con otro programa para conectarte como el wicd o directamente por consola a ver qué errores te da. Si usas WPA (espero que sí si valoras tu seguridad) échale un vistazo a esto.

La verdad es que esta moda de quitar el software privativo del kernel queda muy chulo para el Software Libre, pero perjudica de forma estúpida a los usuarios.


Es triste que veas un paso para construir un SO a base de Software Libre como una simple moda que perjudica de forma estúpida a los usuarios. Un paso que ni siquiera siguen la inmensa mayoría de distribuciones y que de hecho se presenta como una alternativa para quien pueda prescindir de esos blobs privativos (se pueden instalar perfectamente y hasta se sugieren en la instalación para dar soporte a determinados hardware). Para ver el software libre de esa manera casi mejor quedarse en Windows.
  • Volver arriba

Andrei_Kirilenko
#9

Escrito 21 noviembre 2012 - 19:07

He encontrado el firmware non-free para Ubuntu 12.04, pero no he encontrado nada relacionado con Atheros.
Imagen Enviada

Es triste que veas un paso para construir un SO a base de Software Libre como una simple moda que perjudica de forma estúpida a los usuarios. Un paso que ni siquiera siguen la inmensa mayoría de distribuciones y que de hecho se presenta como una alternativa para quien pueda prescindir de esos blobs privativos (se pueden instalar perfectamente y hasta se sugieren en la instalación para dar soporte a determinados hardware). Para ver el software libre de esa manera casi mejor quedarse en Windows.

De hecho yo siempre suelo usar drivers libres, eso si, siempre y cuando el driver libre cumpla con su función.

Yo estoy a favor de que se desarrollen drivers libres y que se usen en lugar de los privativos, pero lo que no puedes hacer es ir dándote cabezazos en las paredes.

Firefox ha tenido que incluir el codec H.264 si no quería correr el riesgo de desaparecer del mapa, ya que aunque Webm es una propuesta interesante, a nivel de rendimiento no le llega ni a la suela de los zapatos al codec privativo, aparte que el doble rasero con el juega Google en este tema ha hecho que H.264 ganase antes de empezar la lucha siendo Webm algo en lo que la empresa de Mountain View colabora activamente.

Está bien apostar por el Software Libre, pero siempre y cuando las posibilidades de dejar en la cuneta al usuario sean reducidas. Tienes que ver que no todo el mundo está dispuesto a romperse la cabeza teniendo que instalar un driver o configurar un dispositivo que en Windows es instalar el driver y listo.

Curiosamente desde que Debian se le dio por quitar el software privativo de la rama oficial no me reconoce la tarjeta de red de mi ordenador en la instalación, vamos, al menos siempre me petardea cuando antes no pasaba.

Tu mismo usas el driver privativo de nVidia para poder jugar y sacarle todo el jugo a KDE, cosa que yo también haría.

Para mi es prioritario en un sistema operativo que el hardware funcione, y si para eso hay que tirar de software privativo, lo hago, siempre teniendo como primera opción algún driver Open Source, sin duda, pero que no vengan quitando software que puede resultar imprescindible para el uso de un ordenador.
  • Volver arriba

Jeremy_Hartwood
#10

Escrito 21 noviembre 2012 - 20:08

Se mantiene una rama non-free precisamente para dar soporte al hardware que lo requiere o a determinadas funcionalidades, si optaron en Debian por quitar blobs privativos del kernel y ponerlos como paquetes en non-free fue para dar la posibilidad a los usuarios de gestionar su libertad como quieran e instalar lo que deseen.

La libertad no debe ser impuesta sino presentada como alternativa. La FSF tiende a criticar que las distribuciones, además de imponerlo, presenten o sugieran la instalación de software privativo, y eso es algo con lo que no estoy de acuerdo con ellos, si bien entiendo que es una postura consecuente con lo que defienden. Las imposiciones son cosa del software privativo y de aquellos que nos niegan nuestras libertades (incluidos muchos actores del mundo Open Source que no dudan en poner por delante de la ética otras cuestiones). Incluso para atarnos unas esposas somos libres. Por eso me parece perfecto que Debian diga "nuestro SO es 100% libre por defecto para quien lo quiera, pero si necesitas cualquier cosa privativa aquí tienes". Si opto por usar el driver privativo de nvidia es porque así lo he decidido en el ejercicio de mi libertad (por más que me encantaría prescindir de él) no porque me lo hayan endosado de serie. Y es que además si no se hacen estas cosas luego vienen las demandas, los conflictos con las licencias o el pago de ingentes cantidades de dinero por patentes que benefician a los de siempre (felicito a firefox por haber intentando al menos boicotear el h264).

Entiendo que esto puede resultar molesto a los usuarios que busquen que todo funcione a la primera, pero celebro que Debian esté dispuesta a ser más durilla de instalar o poner a punto a cambio de seguir su ideal de ofrecer un SO libre y su ética. Para quien todas estas cosas sean sólo tonterías existen muchas distribuciones que elegir, además de atarse una correa con Windows y Mac.

Por cierto, y volviendo al tema del hilo, veo que básicamente el paquete ese hay firmwares para broadcom y de tarjetas de televisión, no veo que haya ninguno que sirva para su tarjeta. Desde luego es un paquete que no tiene mucho que ver con el firmware-nonfree de debian donde hay paquetes para firmwares de atheros entre otros tantos. No obstante en Debian tampoco sería necesario instalar ningún paquete de firmware. De todos modos como dije se ve que el módulo se carga y que se le asigna la interfaz wlan0, por lo que en principio el reconocimiento se lleva a cabo.
  • Volver arriba

Andrei_Kirilenko
#11

Escrito 22 noviembre 2012 - 11:19

De todos modos como dije se ve que el módulo se carga y que se le asigna la interfaz wlan0, por lo que en principio el reconocimiento se lleva a cabo.

Volviendo al tema del hilo, si, a mi me pasaba algo así y lo resolví como dije en mi primer mensaje.

El soporte de ciertas empresas en GNU/Linux es lamentable y Atheros es una mierda. De hecho hasta en Windows me he encontrado alguna wifi Atheros problemática, lo que me hace pensar que Atheros es una mierda.

Está claro, Atheros, peor que si fuese la lepra.

También tenemos por ahí MadWifi, a ver si sirve de algo, pero aun así creo que ese driver hace ya un tiempo que está incorporado en el kernel, pero vaya, por probar, que no quede.
  • Volver arriba


  • Nuevo tema
  • Por favor identifícate para responder
Publicidad
Publicidad

0 usuarios están leyendo este tema

0 miembros, 0 invitados, 0 usuarios anónimos